Skip to main content
`Ctrl`+`K`

# numpy.linalg.vecdot

linalg.vecdot(x1, x2, /, *, axis=-1)

  Computes the vector dot product.

  This function is restricted to arguments compatible with the Array API, contrary to `numpy.vecdot`.

  Let \(\mathbf{a}\) be a vector in `x1` and \(\mathbf{b}\) be a corresponding vector in `x2`. The dot product is defined as:

  \[\mathbf{a} \cdot \mathbf{b} = \sum_{i=0}^{n-1} \overline{a_i}b_i\]

  over the dimension specified by `axis` and where \(\overline{a_i}\) denotes the complex conjugate if \(a_i\) is complex and the identity otherwise.

  Parameters:
    x1 array_like

      First input array.

    x2 array_like

      Second input array.

    axis int, optional

      Axis over which to compute the dot product. Default: `-1`.

  Returns:
    output ndarray

      The vector dot product of the input.

  See also

  `numpy.vecdot`

  Examples

  Get the projected size along a given normal for an array of vectors.

      >>> v = np.array([[0., 5., 0.], [0., 0., 10.], [0., 6., 8.]])
      >>> n = np.array([0., 0.6, 0.8])
      >>> np.linalg.vecdot(v, n)
      array([ 3.,  8., 10.])